C*****************************************************************************
C
C File:  OAL_FORTRAN.INC
C
C Description: This file contains function definitions for all the FORTRAN
C              wrappers defined in OAL_fortran_wappers.c, and parameters
C              for the #defines in oal.h, stream_l.h and odlutils.h.
C
C Author:  Steve Monk, University of Colorado LASP
C
C Creation Date:  26 Jan  1995
C Last Modified:  26 Jan  1995
C
C History:
C
C   Creation - These routines were part of the Beta Release of
C              the OA library.
C
C
C*****************************************************************************

        byte         NULL
        parameter    (NULL = 0)

C oa_interchange_format_enum

        byte        OA_UNKNOWN_INTERCHANGE_FORMAT
        parameter  (OA_UNKNOWN_INTERCHANGE_FORMAT = 0)
        byte        OA_ASCII_INTERCHANGE_FORMAT
        parameter  (OA_ASCII_INTERCHANGE_FORMAT   = 1)
        byte        OA_BINARY_INTERCHANGE_FORMAT
        parameter  (OA_BINARY_INTERCHANGE_FORMAT  = 2)

C oa_record_type_enum

        byte        OA_UNKNOWN_RECORD_TYPE
        parameter  (OA_UNKNOWN_RECORD_TYPE = 0)
        byte        OA_FIXED_LENGTH
        parameter  (OA_FIXED_LENGTH        = 1)
        byte        OA_STREAM
        parameter  (OA_STREAM              = 2)
        byte        OA_VARIABLE_LENGTH
        parameter  (OA_VARIABLE_LENGTH     = 3)

C oa_object_class_enum

        byte        OA_UNKNOWN_CLASS
        parameter  (OA_UNKNOWN_CLASS  = 0)
        byte        OA_ALIAS
        parameter  (OA_ALIAS          = 1)
        byte        OA_ARRAY
        parameter  (OA_ARRAY          = 2)
        byte        OA_BIT_COLUMN
        parameter  (OA_BIT_COLUMN     = 3)
        byte        OA_BIT_ELEMENT
        parameter  (OA_BIT_ELEMENT    = 4)
        byte        OA_COLLECTION
        parameter  (OA_COLLECTION     = 5)
        byte        OA_COLUMN
        parameter  (OA_COLUMN         = 6)
        byte        OA_CONTAINER
        parameter  (OA_CONTAINER      = 7)
        byte        OA_ELEMENT
        parameter  (OA_ELEMENT        = 8)
        byte        OA_GAZETTEER
        parameter  (OA_GAZETTEER      = 9)
        byte        OA_HISTOGRAM
        parameter  (OA_HISTOGRAM      = 10)
        byte        OA_HISTORY
        parameter  (OA_HISTORY        = 11)
        byte        OA_IMAGE
        parameter  (OA_IMAGE          = 12)
        byte        OA_PALETTE
        parameter  (OA_PALETTE        = 13)
        byte        OA_SERIES
        parameter  (OA_SERIES         = 14)
        byte        OA_SPECTRUM
        parameter  (OA_SPECTRUM       = 15)
        byte        OA_TABLE
        parameter  (OA_TABLE          = 16)

C oa_join_tables_enum

        byte        OA_ADD_ROWS
        parameter  (OA_ADD_ROWS       = 0)
        byte        OA_ADD_COLUMNS
        parameter  (OA_ADD_COLUMNS    = 1)

C Option bits for OaFortCopyTree

        byte        OA_STRIP_KEYWORDS
        parameter  (OA_STRIP_KEYWORDS   = 1)
        byte        OA_STRIP_COMMENTS
        parameter  (OA_STRIP_COMMENTS   = 2)
        byte        OA_STRIP_SDT_NODES
        parameter  (OA_STRIP_SDT_NODES  = 4)

C Function declarations.  Note: when running on a Dec Alpha, change all
C INTEGER*4 to INTEGER*8 in this file!

        integer*4  OaFortAddLineTerminatorstoTable
        integer*4  OaFortCheckODLTree
        integer*4  OaFortCloseImage
        integer*4  OaFortCloseOutputFile
        integer*4  OaFortConvertObject
        integer*4  OaFortConvertObjecttoOneType
        integer*4  OaFortConvertLabel
        integer*4  OaFortCopyObject
        integer*4  OaFortCreateAttachedLabel
        integer*4  OaFortDeleteColumn
C       subroutine OaFortDeleteObject
        integer*4  OaFortDeleteRow
        integer*4  OaFortExportObject
        integer*4  OaFortFindEncodingHistogram
C       subroutine OaFortFree
        integer*4  OaFortGetFileKeywords
C       subroutine OaFortGetObjectInfo
        integer*4  OaFortGetPartialImage
        integer*4  OaFortGetSubTable
        integer*4  OaFortImportColumn
        integer*4  OaFortImportImage
        integer*4  OaFortJoinTables
        integer*4  OaFortMalloc
        integer*4  OaFortOpenImage
        integer*4  OaFortOpenOutputFile
        integer*4  OaFortParseLabelFile
        integer*4  OaFortReadArray
        integer*4  OaFortReadHistory
        integer*4  OaFortReadHistogram
        integer*4  OaFortReadImage
        integer*4  OaFortReadImageFromQube
        integer*4  OaFortReadImagePixels
        integer*4  OaFortReadObject
        integer*4  OaFortReadPartialImage
        integer*4  OaFortReadSpectrumFromImage
        integer*4  OaFortReadSpectrumFromQube
        integer*4  OaFortReadSubTable
        integer*4  OaFortReadTable
        integer*4  OaFortReportFileAttributes
C       subroutine OaFortReportError
        integer*4  OaFortTransposeTable
        integer*4  OaFortWriteObject

        integer*4  OaFortCopyTree
        integer*4  OaFortGetObjectClass
        integer*4  OaFortGetObjectInterchangeFmt
        integer*4  OaFortGetTableStorageType
        integer*4  OaFortKwdValuetoLong
        integer*4  OaFortKwdValuetoStr
        integer*4  OaFortLongtoKwdValue
C       subroutine OaFortObjectClasstoStr
C       subroutine OaFortPDSDataTypetoStr
        integer*4  OaFortStrtoKwdValue
        integer*4  OaFortStrtoPDSDataType
