# This Makefile makes the IDL interface's shared object file, oal_idl.so, which
# contains all the OAL, L3 and IDL interface object code.  Before running it, do:
#
# 1) Depending on the platform you're compiling on, you need to include the
#    correct .def file below (found in oal/source):
#
#    Sun Sparc/SunOS or solaris        sun.sparc.def
#    Silicon Graphics/Irix:            sgi.iris.def
#    Dec Alpha/OSF:                    dec.alpha.def
#
# Change this line as needed
include sgi.iris.def
#
# 2) Move IDL.Makefile and OAL_IDL_interface.c to the source directory, and do
#    the make there.

LIB_OBJS = binrep.o  clmdcmp1.o  clmdcmp2.o  decomp.o  oal.o  oamalloc.o \
           obj_l1.o  obj_l2.o  odlutils.o  rprt_err.o  stream_l.o  struct_l.o \
           lablib3.o  OAL_IDL_interface.o  oa_gif.o

INCS	 = binrep.h  jpeg_c.h  oal.h  oal_sys.h  oamalloc.h  odlutils.h \
           stream_l.h  lablib3.h  toolbox.h

all:  oal_idl.so

oal_idl.so: $(LIB_OBJS)
	ld $(IDL_LD) -o oal_idl.so $(LIB_OBJS) $(IDL_LIBS)

$(LIB_OBJS):  $(INCS)
	$(CC) $(FLAGS) $(IDL_FLAGS) -c $*.c

clean:
	@echo "cleaning"
	rm -f oal_idl.so $(LIB_OBJS)
