# This Makefile for unix platforms makes a library file (.a file) containing all the
# OA and L3 object code, and makes the two test executables: t_images.exe and
# t_tables.exe.
#
# Depending on the platform you're compiling on, you need to include the
# correct .def file below:
#
#   Sun Sparc/SunOS and Solaris:      sunnonans.def or sunsparc.def
#   Silicon Graphics/Irix:            sgiiris.def
#   Dec 3100/Ultrix:                  decultrx.def
#   Dec Alpha/OSF:                    decalpha.def
#   Mac OS X:                         macosx.def
#
# Modified by Mark Showalter for compliance with PDS file naming and to support
# Macintosh OS X.
#
# Change this line as needed
include macosx.def

LIB_OBJS = binrep.o  clmdcmp1.o  clmdcmp2.o  decomp.o  oal.o  oamalloc.o \
           obj_l1.o  obj_l2.o  odlutils.o  rprt_err.o  stream_l.o  struct_l.o \
           lablib3.o  oa_gif.o

INCS	 = binrep.h  jpeg_c.h  oal.h  oal_sys.h  oamalloc.h  odlutils.h \
           stream_l.h  lablib3.h  toolbox.h

all:  oal.a ../examples/t_images.exe ../examples/t_tables.exe

oal.a: $(LIB_OBJS)
	ar rv oal.a $(LIB_OBJS)
	$(RANLIB) oal.a

$(LIB_OBJS):  $(INCS)
	$(CC) $(FLAGS) -c $*.c

../examples/t_images.exe : ../examples/t_images.c
	$(CC) $(FLAGS) -I . -o ../examples/t_images.exe ../examples/t_images.c $(LIB)

../examples/t_tables.exe : ../examples/t_tables.c
	$(CC) $(FLAGS) -I . -o ../examples/t_tables.exe ../examples/t_tables.c $(LIB)

clean:
	@echo "cleaning"
	rm -f oal.a $(LIB_OBJS)
